Remove an organization unit from a SaaS
curl --request DELETE \
--url https://api.getprimo.com/saas/{saasId}/organization-units/{remoteId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getprimo.com/saas/{saasId}/organization-units/{remoteId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getprimo.com/saas/{saasId}/organization-units/{remoteId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entitlements": [
{
"id": "<string>",
"name": "<string>"
}
]
}Saas
Remove an organization unit from a SaaS
Remove an existing organization unit. remoteId is the entitlement ID returned by getSaasById. Only allowed when the SaaS organization unit capability is set to MANUAL (i.e. a manually-provisioned SaaS). Returns 409 otherwise.
DELETE
/
saas
/
{saasId}
/
organization-units
/
{remoteId}
Remove an organization unit from a SaaS
Key: Write
Scope: Company
Authorizations
Use your Primo API key in the Authorization header as Bearer <API_KEY>.
Response
default - application/json
Full list of entitlements of this type for the SaaS after the change.
Show child attributes
Show child attributes
Was this page helpful?
⌘I